# Security Advisory 2021-0001 (CVE-2021-3522)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Out-of-bounds read in ID3v2 tag parsing |
| Date              | 2021-03-15 16:00 |
| Affected Versions | GStreamer gst-plugins-base 1.x <= 1.18.3, 0.10.36 |
| IDs               | GStreamer-SA-2021-0001<br/>CVE-2021-3522 |

</div>

## Details

GStreamer before 1.18.4 might do an out-of-bounds read when handling certain ID3v2 tags.

## Impact

It might be possible for a malicious third party to trigger a crash in the application.

## Solution

The gst-plugins-base 1.18.4 release addresses the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### GStreamer 1.18.4 release

- [Release Notes](/releases/1.18/#1.18.4)  
- [GStreamer Plugins Base 1.18.4](/src/gst-plugins-base/gst-plugins-base-1.18.4.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/commit/8a88e5c1db05ebadfd4569955f6f47c23cdca3c4?merge_request_iid=1066)
