# Security Advisory 2021-0002 (CVE-2021-3497)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Use-after-free in matroska demuxing |
| Date              | 2021-03-15 16:00 |
| Affected Versions | GStreamer gst-plugins-good 1.x <= 1.18.3, 0.10.x > 0.10.8 |
| IDs               | GStreamer-SA-2021-0002<br/>CVE-2021-3497 |

</div>

## Details

GStreamer before 1.18.4 might access already-freed memory in error code paths when demuxing certain malformed Matroska files.

## Impact

It might be possible for a malicious third party to trigger a crash in the application, but possibly also an arbitrary code execution with the privileges of the target user.

## Solution

The gst-plugins-good 1.18.4 release addresses the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2021-3497](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3497)

### GStreamer 1.18.4 release

- [Release Notes](/releases/1.18/#1.18.4)  
- [GStreamer Plugins Good 1.18.4](/src/gst-plugins-good/gst-plugins-good-1.18.4.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/commit/9181191511f9c0be6a89c98b311f49d66bd46dc3?merge_request_id=903)
