# Security Advisory 2021-0003 (CVE-2021-3498)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Heap corruption in matroska demuxing |
| Date              | 2021-03-15 16:00 |
| Affected Versions | GStreamer gst-plugins-good 1.x <= 1.18.3 |
| IDs               | GStreamer-SA-2021-0003<br/>CVE-2021-3498 |

</div>

## Details

GStreamer before 1.18.4 might cause heap corruption when parsing certain malformed Matroska files.

## Impact

It might be possible for a malicious third party to trigger a crash in the application, but possibly also an arbitrary code execution with the privileges of the target user.

## Solution

The gst-plugins-good 1.18.4 release addresses the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2021-3498](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3498)

### GStreamer 1.18.4 release

- [Release Notes](/releases/1.18/#1.18.4)  
- [GStreamer Plugins Good 1.18.4](/src/gst-plugins-good/gst-plugins-good-1.18.4.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/commit/02174790726dd20a5c73ce2002189bf240ad4fe0?merge_request_iid=903)
