# Security Advisory 2021-0004

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Out-of-bounds read in realmedia demuxing |
| Date              | 2021-03-15 16:00 |
| Affected Versions | GStreamer gst-plugins-ugly 1.x <= 1.18.3 |
| ID                | GStreamer-SA-2021-0004 |

</div>

## Details

GStreamer before 1.18.4 might do an out-of-bounds read when handling certain RealMedia files or streams.

## Impact

It might be possible for a malicious third party to trigger a crash in the application.

## Solution

The gst-plugins-ugly 1.18.4 release addresses the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### GStreamer 1.18.4 release

- [Release Notes](/releases/1.18/#1.18.4)  
- [GStreamer Plugins Ugly 1.18.4](/src/gst-plugins-ugly/gst-plugins-ugly-1.18.4.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/commit/9726aaf78e6643a5955864f444852423de58de29?merge_request_iid=75)
