# Security Advisory 2021-0005

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Stack overflow in gst\_ffmpeg\_channel\_layout\_to\_gst() |
| Date              | 2021-03-15 16:00 |
| Affected Versions | GStreamer gst-libav 1.x <= 1.18.3 |
| ID                | GStreamer-SA-2021-0005 |

</div>

## Details

GStreamer before 1.18.4 might cause stack corruptions with streams that have more than 64 audio channels.

## Impact

It might be possible for a malicious third party to trigger a crash in the application.

## Solution

The gst-libav 1.18.4 release addresses the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### GStreamer 1.18.4 release

- [Release Notes](/releases/1.18/#1.18.4)  
- [GStreamer plugin for the FFmpeg libav* libraries 1.18.4](/src/gst-libav/gst-libav-1.18.4.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gst-libav/-/commit/a339f8f9641382b92b43e6d146bdc5d87a9704f8?merge_request_iid=121)
