# Security Advisory 2022-0001 (CVE-2022-1921)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Heap overwrite in avi demuxing |
| Date              | 2022-06-15 23:00 |
| Affected Versions | GStreamer gst-plugins-good 1.x < 1.20.3, 0.10.x |
| IDs               | GStreamer-SA-2022-0001<br/>CVE-2022-1921 |

</div>

## Details

Heap-based buffer overflow in the avi demuxer when handling certain AVI files in GStreamer versions before 1.20.3.

## Impact

It is possible for a malicious third party to trigger a crash in the application, and possibly also effect code execution through heap manipulation.

## Solution

The gst-plugins-good 1.20.3 release addresses the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2022-1921](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-1921)

### GStreamer 1.20.3 release

- [Release Notes](/releases/1.20/#1.20.3)  
- [GStreamer Plugins Good 1.20.3](/src/gst-plugins-good/gst-plugins-good-1.20.3.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/commit/f503caad676971933dc0b52c4b313e5ef0d6dbb0.patch)
