# Security Advisory 2022-0003 (CVE-2022-2122)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Potential heap overwrite in mp4 demuxing using zlib decompression |
| Date              | 2022-06-15 23:00 |
| Affected Versions | GStreamer gst-plugins-good 1.x < 1.20.3, 0.10.x |
| IDs               | GStreamer-SA-2022-0003<br/>CVE-2022-2122 |

</div>

## Details

Potential heap overwrite in the qt demuxer when handling certain QuickTime/MP4 files in GStreamer versions before 1.20.3.

## Impact

It is possible for a malicious third party to trigger a crash in the application, and possibly also overwrite data on the heap.

## Solution

The gst-plugins-good 1.20.3 release addresses the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2022-2122](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-2122)

### GStreamer 1.20.3 release

- [Release Notes](/releases/1.20/#1.20.3)  
- [GStreamer Plugins Good 1.20.3](/src/gst-plugins-good/gst-plugins-good-1.20.3.tar.xz)

### Patches

- [Patch 1](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/commit/14d306da6da51a762c4dc701d161bb52ab66d774.patch)
