# Security Advisory 2022-0004 (CVE-2022-1920)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Potential heap overwrite in gst\_matroska\_demux\_add\_wvpk\_header |
| Date              | 2022-06-15 23:00 |
| Affected Versions | GStreamer gst-plugins-good 1.x < 1.20.3, 0.10.x |
| IDs               | GStreamer-SA-2022-0004<br/>CVE-2022-1920 |

</div>

## Details

Potential heap overwrite in the mkv demuxer when handling certain Matroska files in GStreamer versions before 1.20.3.

## Impact

It is possible for a malicious third party to overwrite data on the heap, and possibly even effect code execution.

## Solution

The gst-plugins-good 1.20.3 release addresses the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2022-1920](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-1920)

### GStreamer 1.20.3 release

- [Release Notes](/releases/1.20/#1.20.3)  
- [GStreamer Plugins Good 1.20.3](/src/gst-plugins-good/gst-plugins-good-1.20.3.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/commit/cf887f1b8e228bff6e19829e6d03995d70ad739d.patch)
