# Security Advisory 2023-0001 (ZDI-CAN-20775, CVE-2023-37327)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Integer overflow leading to heap overwrite in FLAC image tag handling |
| Date              | 2023-06-20 18:00 |
| Affected Versions | GStreamer gst-plugins-good 1.x < 1.22.4, 1.x < 1.20.7, 0.10.x |
| IDs               | GStreamer-SA-2023-0001<br/>ZDI-CAN-20775<br/>CVE-2023-37327 |

</div>

## Details

Heap-based buffer overflow in the FLAC parser when handling malformed image tags in GStreamer versions before 1.22.4 / 1.20.7.

## Impact

It is possible for a malicious third party to trigger a crash in the application, and possibly also effect code execution through heap manipulation.

## Solution

The gst-plugins-good 1.22.4 / 1.20.7 releases address the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2023-37327](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-37327)

### GStreamer 1.22.4 release

- [Release Notes](/releases/1.22/#1.22.4)  
- [GStreamer Plugins Good 1.22.4](/src/gst-plugins-good/gst-plugins-good-1.22.4.tar.xz)

### GStreamer 1.20.7 release

- [Release Notes](/releases/1.20/#1.20.7)  
- [GStreamer Plugins Good 1.20.7](/src/gst-plugins-good/gst-plugins-good-1.20.7.tar.xz)

### Patches

- [Patches](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4894.patch)
