# Security Advisory 2023-0007 (ZDI-CAN-21661, CVE-2023-40475)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Integer overflow leading to heap overwrite in MXF file handling with AES3 audio |
| Date              | 2023-09-20 20:00 |
| Affected Versions | GStreamer gst-plugins-bad < 1.22.6 |
| IDs               | GStreamer-SA-2023-0007<br/>ZDI-CAN-21661<br/>CVE-2023-40475 |

</div>

## Details

Heap-based buffer overflow in the MXF file demuxer when handling malformed files with AES3 audio in GStreamer versions before 1.22.6

## Impact

It is possible for a malicious third party to trigger a crash in the application, and possibly also effect code execution through heap manipulation.

## Solution

The gst-plugins-bad 1.22.6 releases address the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2023-40475](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-40475)

### GStreamer 1.22.6 release

- [Release Notes](/releases/1.22/#1.22.6)  
- [GStreamer Plugins Bad 1.22.6](/src/gst-plugins-bad/gst-plugins-bad-1.22.6.tar.xz)

### Patches

- [Patches](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5362.patch) (includes patch for SA-2023-0006 / ZDI-CAN-21660 / CVE-2023-40474)
