# Security Advisory 2023-0009 (ZDI-CAN-22226, CVE-2023-44429)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | AV1 codec parser buffer overflow |
| Date              | 2023-11-13 12:00 |
| Affected Versions | GStreamer gst-plugins-bad < 1.22.7 |
| IDs               | GStreamer-SA-2023-0009<br/>ZDI-CAN-22226<br/>CVE-2023-44429 |

</div>

## Details

Heap-based buffer overflow in the AV1 codec parser when handling certain malformed streams before GStreamer 1.22.7

## Impact

It is possible for a malicious third party to trigger a crash in the application, and possibly also effect code execution through heap manipulation.

## Solution

The gst-plugins-bad 1.22.7 releases address the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2023-44429](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-44429)

### GStreamer 1.22.7 release

- [Release Notes](/releases/1.22/#1.22.7)  
- [GStreamer Plugins Bad 1.22.7](/src/gst-plugins-bad/gst-plugins-bad-1.22.7.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5634.patch)
