# Security Advisory 2023-0011 (ZDI-CAN-22300)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | AV1 codec parser buffer overflow |
| Date              | 2023-12-18 14:00 |
| Affected Versions | GStreamer gst-plugins-bad < 1.22.8 |
| IDs               | GStreamer-SA-2023-0011<br/>ZDI-CAN-22300<br/>CVE-2023-50186 |

</div>

## Details

Heap-based buffer overflow in the AV1 codec parser when handling certain malformed streams before GStreamer 1.22.8

## Impact

It is possible for a malicious third party to trigger a crash in the application, and possibly also effect code execution through heap manipulation.

## Solution

The gst-plugins-bad 1.22.8 releases address the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### GStreamer 1.22.8 release

- [Release Notes](/releases/1.22/#1.22.8)  
- [GStreamer Plugins Bad 1.22.8](/src/gst-plugins-bad/gst-plugins-bad-1.22.8.tar.xz)

### Patches
- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5823.patch)
