# Security Advisory 2024-0001 (ZDI-CAN-22873, CVE-2024-0444)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | AV1 codec parser potential buffer overflow during tile list parsing |
| Date              | 2024-01-24 20:00 |
| Affected Versions | GStreamer gst-plugins-bad < 1.22.9 |
| IDs               | GStreamer-SA-2024-0001<br/>ZDI-CAN-22873<br/>CVE-2024-0444 |

</div>

## Details

Heap-based buffer overflow in the AV1 codec parser when handling certain malformed streams before GStreamer 1.22.9.

## Impact

It is possible for a malicious third party to trigger a crash in the application,
and possibly also effect code execution through heap manipulation.

## Solution

The gst-plugins-bad 1.22.9 releases address the issue.
People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2024-0444](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-0444)

### GStreamer 1.22.9 release

- [Release notes](/releases/1.22/#1.22.9)
- [GStreamer Plugins Bad 1.22.9](/src/gst-plugins-bad/gst-plugins-bad-1.22.9.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5970.patch)
