# Security Advisory 2024-0002 (ZDI-CAN-23896, CVE-2024-4453)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Integer overflow in EXIF metadata parser leading to potential heap overwrite |
| Date              | 2024-04-29 20:00 |
| Affected Versions | GStreamer gst-plugins-base < 1.24.3, < 1.22.12 |
| IDs               | GStreamer-SA-2024-0002<br/>ZDI-CAN-23896<br/>CVE-2024-4453 |

</div>

## Details

Heap-based buffer overflow in the EXIF image tag parser when handling certain malformed streams before GStreamer 1.24.3 or 1.22.12.

## Impact

It is possible for a malicious third party to trigger a crash in the application,
and possibly also effect code execution through heap manipulation.

## Solution

The gst-plugins-base 1.24.3 and 1.22.12 releases address the issue.
People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2024-4453](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2024-4453)

### GStreamer releases

#### 1.24 (current stable)

- [GStreamer 1.24.3 release notes](/releases/1.24/#1.24.3)
- [GStreamer Plugins Base 1.24.3](/src/gst-plugins-base/gst-plugins-base-1.24.3.tar.xz)

#### 1.22 (old stable)

- [GStreamer 1.22.12 release notes](/releases/1.22/#1.22.12)
- [GStreamer Plugins Base 1.22.12](/src/gst-plugins-base/gst-plugins-base-1.22.12.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6766.patch)
