# Security Advisory 2024-0006 (GHSL-2024-246, CVE-2024-47598)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | MP4/MOV sample table parser out-of-bounds read |
| Date              | 2024-12-03 20:00 |
| Affected Versions | GStreamer gst-plugins-good < 1.24.10 |
| IDs               | GStreamer-SA-2024-0006<br/>GHSL-2024-246<br/>CVE-2024-47598 |

</div>

## Details

Out-of-bounds reads in the MP4/MOV demuxer's sample table parser when handling raw audio tracks
that can lead to crashes for certain input files.

## Impact

It is possible for a malicious third party to trigger a out-of-bounds reads that result in a crash of the application.

## Solution

The gst-plugins-good 1.24.10 release addresses the issue. People using older
branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2024-47598](https://www.cve.org/CVERecord?id=CVE-2024-47598)

### GStreamer releases

#### 1.24 (current stable)

- [GStreamer 1.24.10 release notes](/releases/1.24/#1.24.10)
- [GStreamer Plugins Good 1.24.10](/src/gst-plugins-good/gst-plugins-good-1.24.10.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8059.patch)
