# Security Advisory 2024-0007 (GHSL-2024-195, CVE-2024-47539)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | MP4/MOV Closed Caption handling out-of-bounds write |
| Date              | 2024-12-03 20:00 |
| Affected Versions | GStreamer gst-plugins-good < 1.24.10 |
| IDs               | GStreamer-SA-2024-0007<br/>GHSL-2024-195<br/>CVE-2024-47539 |

</div>

## Details

Out-of-bounds writes in the MP4/MOV demuxer when handling CEA608 Closed Caption
tracks that can lead to crashes for certain input files.

## Impact

It is possible for a malicious third party to trigger a out-of-bounds writes
that result in a crash of the application, and possibly also allow code
execution through heap manipulation.

## Solution

The gst-plugins-good 1.24.10 release addresses the issue. People using older
branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2024-47539](https://www.cve.org/CVERecord?id=CVE-2024-47539)

### GStreamer releases

#### 1.24 (current stable)

- [GStreamer 1.24.10 release notes](/releases/1.24/#1.24.10)
- [GStreamer Plugins Good 1.24.10](/src/gst-plugins-good/gst-plugins-good-1.24.10.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8059.patch)
