# Security Advisory 2024-0014 (GHSL-2024-166, CVE-2024-47606)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Integer overflows in MP4/MOV demuxer and memory allocator that can lead to out-of-bounds writes |
| Date              | 2024-12-03 20:00 |
| Affected Versions | GStreamer core < 1.24.10, gst-plugins-good < 1.24.10 |
| IDs               | GStreamer-SA-2024-0014<br/>GHSL-2024-166<br/>CVE-2024-47606 |

</div>

## Details

Integer overflow in the MP4/MOV demuxer and memory allocator that can lead to
out-of-bounds writes and that can cause crashes for certain input files.

## Impact

It is possible for a malicious third party to trigger out-of-bounds writes that
can result in a crash of the application, or potentially possibly also allow
code execution through heap manipulation.

## Solution

The GStreamer core and gst-plugins-good 1.24.10 release addresses the issue.
People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2024-47606](https://www.cve.org/CVERecord?id=CVE-2024-47606)

### GStreamer releases

#### 1.24 (current stable)

- [GStreamer 1.24.10 release notes](/releases/1.24/#1.24.10)
- [GStreamer core 1.24.10](/src/gstreamer/gstreamer-1.24.10.tar.xz)
- [GStreamer plugins good 1.24.10](/src/gst-plugins-good/gst-plugins-good-1.24.10.tar.xz)

### Patches

- [Patch (GStreamer core)](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/commit/f1cdc6f24340f6cce4cc7020628002f5c70dd6c7.patch)
- [Patch (GStreamer plugins good)](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/commit/f8e398c46fc074f266edb3f20479c0ca31b52448.patch)
- [Patch (combined)](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8032.patch)
