# Security Advisory 2024-0016 (GHSL-2024-247, CVE-2024-47599)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Insufficient error handling in JPEG decoder that can lead to NULL-pointer dereferences |
| Date              | 2024-12-03 20:00 |
| Affected Versions | GStreamer gst-plugins-good < 1.24.10 |
| IDs               | GStreamer-SA-2024-0016<br/>GHSL-2024-247<br/>CVE-2024-47599 |

</div>

## Details

Insufficient error handling in the JPEG decoder that can lead to NULL-pointer
dereferences, and that can cause crashes for certain input files.

## Impact

It is possible for a malicious third party to trigger NULL-pointer
dereferences that can result in a crash of the application.

## Solution

The gst-plugins-good 1.24.10 release addresses the issue. People using older
branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2024-47599](https://www.cve.org/CVERecord?id=CVE-2024-47599)

### GStreamer releases

#### 1.24 (current stable)

- [GStreamer 1.24.10 release notes](/releases/1.24/#1.24.10)
- [GStreamer Plugins Good 1.24.10](/src/gst-plugins-good/gst-plugins-good-1.24.10.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8040.patch)
