# Security Advisory 2024-0022 (GHSL-2024-115, CVE-2024-47538)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Stack buffer-overflow in Vorbis decoder |
| Date              | 2024-12-03 20:00 |
| Affected Versions | GStreamer gst-plugins-base < 1.24.10 |
| IDs               | GStreamer-SA-2024-0022<br/>GHSL-2024-115<br/>CVE-2024-47538 |

</div>

## Details

Stack buffer-overflow in Vorbis decoder that can cause crashes
for certain input files.

## Impact

It is possible for a malicious third party to trigger stack buffer-overflows that
can result in a crash of the application.

## Solution

The gst-plugins-base 1.24.10 release addresses the issue. People using older
branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2024-47538](https://www.cve.org/CVERecord?id=CVE-2024-47538)

### GStreamer releases

#### 1.24 (current stable)

- [GStreamer 1.24.10 release notes](/releases/1.24/#1.24.10)
- [GStreamer Plugins Base 1.24.10](/src/gst-plugins-base/gst-plugins-base-1.24.10.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8035.patch)
