# Security Advisory 2024-0023 (GHSL-2024-228, CVE-2024-47541)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Out-of-bounds write in SSA subtitle parser |
| Date              | 2024-12-03 20:00 |
| Affected Versions | GStreamer gst-plugins-base < 1.24.10 |
| IDs               | GStreamer-SA-2024-0023<br/>GHSL-2024-228<br/>CVE-2024-47541 |

</div>

## Details

Out-of-bounds write in SSA subtitle parser that can cause crashes
for certain input files.

## Impact

It is possible for a malicious third party to trigger an out-of-bounds write that
can result in a crash of the application.

## Solution

The gst-plugins-base 1.24.10 release addresses the issue. People using older
branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2024-47541](https://www.cve.org/CVERecord?id=CVE-2024-47541)

### GStreamer releases

#### 1.24 (current stable)

- [GStreamer 1.24.10 release notes](/releases/1.24/#1.24.10)
- [GStreamer Plugins Base 1.24.10](/src/gst-plugins-base/gst-plugins-base-1.24.10.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8036.patch)
