# Security Advisory 2024-0028 (GHSL-2024-262, CVE-2024-47774)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Integer overflow in AVI subtitle parser that leads to out-of-bounds reads |
| Date              | 2024-12-03 20:00 |
| Affected Versions | GStreamer gst-plugins-good < 1.24.10 |
| IDs               | GStreamer-SA-2024-0028<br/>GHSL-2024-262<br/>CVE-2024-47774 |

</div>

## Details

An integer overflow in the AVI subtitle parser that can lead to out-of-bounds
reads and can cause crashes for certain input files.

## Impact

It is possible for a malicious third party to trigger out-of-bounds reads that
can result in a crash of the application.

## Solution

The gst-plugins-good 1.24.10 release addresses the issue. People using older
branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2024-47774](https://www.cve.org/CVERecord?id=CVE-2024-47774)

### GStreamer releases

#### 1.24 (current stable)

- [GStreamer 1.24.10 release notes](/releases/1.24/#1.24.10)
- [GStreamer Plugins Good 1.24.10](/src/gst-plugins-good/gst-plugins-good-1.24.10.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8043.patch)
