# Security Advisory 2019-0001 (CVE-2019-9928)

<div class="vertical-table">

|                   |     |
| ----------------- | --- |
| Summary           | Buffer overflow in RTSP parsing |
| Date              | 2019-04-22 00:30 |
| Affected Versions | GStreamer gst-plugins-bad |
| IDs               | GStreamer-SA-2019-0001<br/>CVE-2019-9928 |

</div>

## Details

GStreamer before 1.16.0 has a heap-based buffer overflow in the RTSP connection parser via a crafted response from a server.

## Impact

The potential exists for a malicious server to trigger remote code execution in a connecting client.

## Threat mitigation

Exploitation requires the user to access a malicious RTSP server.

## Workarounds

The user should refrain from opening RTSP streams from untrusted third parties

## Solution

The gst-plugins-base 1.16.0 release addresses the issue. People using older branches of GStreamer should apply the patch and recompile.

## References

### The GStreamer project

- [https://gstreamer.freedesktop.org](https://gstreamer.freedesktop.org)

### CVE Database Entries

- [CVE-2019-9928](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-9928)

### GStreamer 1.16.0 release

- [Release Notes](/releases/1.16/)
- [GStreamer Plugins Base 1.16.0](/src/gst-plugins-base/gst-plugins-base-1.16.0.tar.xz)

### Patches

- [Patch](https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/merge_requests/157)
